On Thu, Dec 15, 2016 at 12:42:00 +0100, Dimitry Andric wrote:
> On 15 Dec 2016, at 12:03, jenkins-ad...@freebsd.org wrote:
> > 
> > FreeBSD_HEAD_amd64_gcc - Build #1733 - Still Failing:
> > 
> > Build information: 
> > https://jenkins.FreeBSD.org/job/FreeBSD_HEAD_amd64_gcc/1733/
> > Full change log: 
> > https://jenkins.FreeBSD.org/job/FreeBSD_HEAD_amd64_gcc/1733/changes
> > Full build log: 
> > https://jenkins.FreeBSD.org/job/FreeBSD_HEAD_amd64_gcc/1733/console
> ...
> > building shared library libprivatedevdctl.so.0
> > /usr/local/bin/x86_64-portbld-freebsd10.1-g++ -isystem 
> > /builds/FreeBSD_HEAD_amd64_gcc/obj/builds/FreeBSD_HEAD_amd64_gcc/tmp/usr/include/c++/v1
> >  -std=c++11 -nostdinc++ -isystem 
> > /builds/FreeBSD_HEAD_amd64_gcc/obj/builds/FreeBSD_HEAD_amd64_gcc/tmp/usr/include
> >  
> > -L/builds/FreeBSD_HEAD_amd64_gcc/obj/builds/FreeBSD_HEAD_amd64_gcc/tmp/usr/lib
> >  
> > -B/builds/FreeBSD_HEAD_amd64_gcc/obj/builds/FreeBSD_HEAD_amd64_gcc/tmp/usr/lib
> >  
> > --sysroot=/builds/FreeBSD_HEAD_amd64_gcc/obj/builds/FreeBSD_HEAD_amd64_gcc/tmp
> >  -B/usr/local/x86_64-freebsd/bin/  -fstack-protector-strong -shared -Wl,-x 
> > -Wl,--fatal-warnings -Wl,--warn-shared-textrel  -o 
> > libprivatedevdctl.so.0.full -Wl,-soname,libprivatedevdctl.so.0  
> > `NM='/usr/local/x86_64-freebsd/bin/nm' NMFLAGS='' lorder consumer.pico 
> > event.pico event_factory.pico exception.pico guid.pico |  tsort -q`
> > /usr/local/bin/x86_64-freebsd-ld: cannot find -lstdc++
> 
> Dear Jenkins admins, can you please install a more recent version of
> amd64-xtoolchain-gcc on the slave?  This is required to avoid the above
> error about not being able to find libstdc++.

Also from the console log:

+ sudo pkg install -y devel/amd64-xtoolchain-gcc
Updating FreeBSD repository catalogue...
FreeBSD repository is up-to-date.
All repositories are up-to-date.
Checking integrity... done (0 conflicting)
The most recent version of packages are already installed

The build script install/update the latest devel/amd64-xtoolchain-gcc
package.  I think the problem is we did not upgrade the dependencies.  I
cannot think of a elegant way to upgrade all amd64-xtoolchain-gcc's
dependencies, so I added a line to build script to upgrade everything
before build.

Let see if this works.

Best,
Li-Wen

-- 
Li-Wen Hsu <lw...@freebsd.org>
https://lwhsu.org

Attachment: signature.asc
Description: PGP signature

Reply via email to